# Type Alias JoinFieldOption

type JoinFieldOption = {
fieldPath: string;
name: string;
subFields?: JoinFieldOption[];
table: string;
}

- Defined in base_types.ts:640

##### Index

### Properties

fieldPath
name
subFields?
table

## Properties

### fieldPath

fieldPath: string

- Defined in base_types.ts:643

### name

name: string

- Defined in base_types.ts:641

### `Optional` subFields

subFields?: JoinFieldOption[]

- Defined in base_types.ts:644

### table

table: string

- Defined in base_types.ts:642